[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendMethodEnter

Send method enter message

## Declaration

Source position: dbugintf.pp line 31

`procedure SendMethodEnter(`
`const MethodName: string`
`);`

## Arguments

`MethodName` |  | Name of the entered method

## Description

SendMethodEnter sends a "Entering MethodName" message to the debug server. After that it increases the message indentation (currently 2 characters). By sending a corresponding SendMethodExit, the indentation of messages can be decreased again.

By using the SendMethodEnter and SendMethodExit methods at the beginning and end of a procedure/method, it is possible to visually trace program execution.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendMethodExit |  | Send method exit message
SendSeparator |  | Send a separator message

Documentation generated on: Feb 26 2014